org.apache.pdfbox.pdmodel.fdf

## Class FDFAnnotationCircle

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fdf.FDFAnnotation
  - - org.apache.pdfbox.pdmodel.fdf.FDFAnnotationCircle

All Implemented Interfaces:
  COSObjectable

    public class FDFAnnotationCircle
    extends FDFAnnotation

This represents a Circle FDF annotation.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `SUBTYPE` COS Model value for SubType entry.

### Fields inherited from class org.apache.pdfbox.pdmodel.fdf.FDFAnnotation

`annot`

### Constructor Summary

Constructors
Constructor and Description
`FDFAnnotationCircle()` Default constructor.
`FDFAnnotationCircle(COSDictionary a)` Constructor.
`FDFAnnotationCircle(Element element)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDRectangle` `getFringe()` This will get the fringe.
`Color` `getInteriorColor()` This will retrieve the interior color of the drawn area.
`void` `setFringe(PDRectangle fringe)` This will set the fringe rectangle.
`void` `setInteriorColor(Color color)` This will set interior color of the drawn area.

### Methods inherited from class org.apache.pdfbox.pdmodel.fdf.FDFAnnotation

`create, getBorderEffect, getBorderStyle, getColor, getContents, getCOSObject, getCreationDate, getDate, getIntent, getName, getOpacity, getPage, getRectangle, getRichContents, getStringOrStream, getSubject, getTitle, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setBorderEffect, setBorderStyle, setColor, setContents, setCreationDate, setDate, setHidden, setIntent, setInvisible, setLocked, setLockedContents, setName, setNoRotate, setNoView, setNoZoom, setOpacity, setPage, setPrinted, setReadOnly, setRectangle, setRichContents, setSubject, setTitle, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUBTYPE

    public static final String SUBTYPE

COS Model value for SubType entry.

See Also:
  Constant Field Values

### Constructor Detail

#### FDFAnnotationCircle

    public FDFAnnotationCircle()

Default constructor.

#### FDFAnnotationCircle

    public FDFAnnotationCircle(COSDictionary a)

Constructor.

Parameters:
  `a` - An existing FDF Annotation.

#### FDFAnnotationCircle

    public FDFAnnotationCircle(Element element)
                        throws IOException

Constructor.

Parameters:
  `element` - An XFDF element.
Throws:
  `IOException` - If there is an error extracting information from the element.

### Method Detail

#### setInteriorColor

    public final void setInteriorColor(Color color)

This will set interior color of the drawn area.

Parameters:
  `color` - The interior color of the circle.

#### getInteriorColor

    public Color getInteriorColor()

This will retrieve the interior color of the drawn area.

Returns:
  object representing the color.

#### setFringe

    public final void setFringe(PDRectangle fringe)

This will set the fringe rectangle. Giving the difference between the annotations rectangle and where the drawing occurs. (To take account of any effects applied through the BE entry for example)

Parameters:
  `fringe` - the fringe

#### getFringe

    public PDRectangle getFringe()

This will get the fringe. Giving the difference between the annotations rectangle and where the drawing occurs. (To take account of any effects applied through the BE entry for example)

Returns:
  the rectangle difference